# kretschmann.cat

> Highlighting Botero's cat sculpture in El Raval, Barcelona<br>
> [https://kretschmann.cat](https://kretschmann.cat)

[![build status](https://www.git.berlin/kremalicious/kretschmann.cat/badges/master/build.svg)](https://www.git.berlin/kremalicious/kretschmann.cat/commits/master)

---

## Deployment

Just push to master and git.berlin CI will do the rest.

### Manual deployment

#### Prerequisite: Authentication

To deploy the site, you must authenticate yourself against the AWS API with your AWS credentials. Get your AWS access key and secret and add them to `~/.aws/credentials`:

```
[default]
aws_access_key_id = <YOUR_ACCESS_KEY_ID>
aws_secret_access_key = <YOUR_SECRET_ACCESS_KEY>
```

#### Fire deployment task

Continue with installing dependencies:

```bash
npm install -g gulp
npm install
```

And finally deploy:

```bash
gulp deploy
```
